#!perl -w
#
# ModDep -- encapsulate single line from modules.dep.
#   Copyright (C) 2005  Erik van Konijnenburg
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# name - normalised name of the module.
# file - the file to load for this kernel module
# origin - file:line where this was defined
# deps - list of names of modules this module depends on.
#
use strict;
use warnings;
use Base;
package ModDep;
use base 'Obj';


sub fill {
	my $self = shift;
	$self->SUPER::fill();
	$self->takeArgs ('name', 'file', 'origin', 'deps');
}

sub name	{ return $_[0]->{name}; }
sub file	{ return $_[0]->{file}; }
sub origin	{ return $_[0]->{origin}; }
sub deps	{ return $_[0]->{deps}; }

sub string {
	my $self = shift;
	my $name = $self->name;
	my $file = $self->file;
	my $origin = $self->origin;
	my $deps = join (",", @{$self->deps});

	return "$name($origin) at $file need $deps."
}



1;
